io.flutter.embedding.engine.renderer

## Class FlutterRenderer.ViewportMetrics

- java.lang.Object
- - io.flutter.embedding.engine.renderer.FlutterRenderer.ViewportMetrics

- Enclosing class:
    FlutterRenderer

      public static final class FlutterRenderer.ViewportMetrics
      extends Object

  Mutable data structure that holds all viewport metrics properties that Flutter cares about.

  All distance measurements, e.g., width, height, padding, viewInsets, are measured in device pixels, not logical pixels.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `devicePixelRatio`
    `int` | `height`
    `int` | `systemGestureInsetBottom`
    `int` | `systemGestureInsetLeft`
    `int` | `systemGestureInsetRight`
    `int` | `systemGestureInsetTop`
    `int` | `viewInsetBottom`
    `int` | `viewInsetLeft`
    `int` | `viewInsetRight`
    `int` | `viewInsetTop`
    `int` | `viewPaddingBottom`
    `int` | `viewPaddingLeft`
    `int` | `viewPaddingRight`
    `int` | `viewPaddingTop`
    `int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewportMetrics()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### devicePixelRatio

          public float devicePixelRatio

    - #### width

          public int width

    - #### height

          public int height

    - #### viewPaddingTop

          public int viewPaddingTop

    - #### viewPaddingRight

          public int viewPaddingRight

    - #### viewPaddingBottom

          public int viewPaddingBottom

    - #### viewPaddingLeft

          public int viewPaddingLeft

    - #### viewInsetTop

          public int viewInsetTop

    - #### viewInsetRight

          public int viewInsetRight

    - #### viewInsetBottom

          public int viewInsetBottom

    - #### viewInsetLeft

          public int viewInsetLeft

    - #### systemGestureInsetTop

          public int systemGestureInsetTop

    - #### systemGestureInsetRight

          public int systemGestureInsetRight

    - #### systemGestureInsetBottom

          public int systemGestureInsetBottom

    - #### systemGestureInsetLeft

          public int systemGestureInsetLeft

  - ### Constructor Detail

    - #### ViewportMetrics

          public ViewportMetrics()